Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.core.util
Class Disposable

    java.lang.Object
      org.eclipse.emf.ecp.internal.core.util.Disposable

All Implemented Interfaces:
  ECPDisposable

    public class Disposable

extends Object
implements ECPDisposable

Author:
  Eike Stepper

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecp.spi.core.util.ECPDisposable
`ECPDisposable.DisposeListener`

Constructor Summary
`Disposable(ECPDisposable delegate)` Constructor of an disposable object.

Method Summary
`void` | `addDisposeListener(ECPDisposable.DisposeListener listener)` Adds a `ECPDisposable.DisposeListener` to this instance.
`void` | `dispose()` Disposes the current instance.
`boolean` | `isDisposed()` Whether this instance is already disposed.
`void` | `removeDisposeListener(ECPDisposable.DisposeListener listener)` Removed a `ECPDisposable.DisposeListener` from this instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Disposable

    public Disposable(ECPDisposable delegate)

  Constructor of an disposable object.

  Parameters:
    `delegate` - the delegate to call

Method Detail

### isDisposed

    public final boolean isDisposed()

  Whether this instance is already disposed.

  Specified by:
    `isDisposed` in interface `ECPDisposable`
  Returns:
    true if already disposed, false otherwise.

### dispose

    public final void dispose()

  Disposes the current instance.

  Specified by:
    `dispose` in interface `ECPDisposable`

### addDisposeListener

    public final void addDisposeListener(ECPDisposable.DisposeListener listener)

  Adds a `ECPDisposable.DisposeListener` to this instance.

  Specified by:
    `addDisposeListener` in interface `ECPDisposable`
  Parameters:
    `listener` - the listener to add

### removeDisposeListener

    public final void removeDisposeListener(ECPDisposable.DisposeListener listener)

  Removed a `ECPDisposable.DisposeListener` from this instance.

  Specified by:
    `removeDisposeListener` in interface `ECPDisposable`
  Parameters:
    `listener` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.